## libantlr3c 3.2

=== debian/changelog ===
libantlr3c (3.2-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Set the maintainer to Debian QA Group <packages@qa.debian.org>. Thanks
      Julien for having maintained this package (closes: #688541).
    + Build-depends on dh-autoreconf instead of autotools-dev.
  * debian/rules:
    + Use dh-autoreconf instead of autotools-dev (closes: #734022).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Aug 2014 10:49:45 +0200

libantlr3c (3.2-2) unstable; urgency=low

  * Multiarch conversion.

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
    + Bump debhelper build-dep to >= 8.1.3 for multiarch.
    + Add Pre-Depends: ${misc:Pre-Depends} to libantlr3c{,-antlrdbg}-3.2-0.
    + Tag libantlr3c{,-antlrdbg}-3.2-0 with Multi-Arch: same.
  * debian/rules:
    + Set multiarch path for both builds.
    + Adapt paths where needed.
    + Change dh_install invocation.
  * debian/*.install:
    + Adapt for multiarch.

  * debian/copyright:
    + Remove reference to /usr/share/common-licenses/BSD; the full text of
      the license is included in the copyright file already.

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 12:32:29 +0200

libantlr3c (3.2-1) unstable; urgency=low

  * New upstream release, with revised packaging.
  * Move to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Add ${misc:Depends}.
    + Add Build-dep on dpkg-dev (>= 1.15.4) for DEB_HOST_ARCH_BITS support
      in dpkg-architecture.
    + Adapt package names for the new packaging (using version in soname).

  * debian/rules:
    + Use DEB_HOST_ARCH_BITS from dpkg-architecture instead of
      debian/check64.c to check for a 64bit arch.

  * debian/patches/debian_soname.patch:
    + Added; define a proper soname for Debian.
  * debian/patches/fix_configure_warning.patch:
    + Added; fix misuse of AC_INCLUDES_DEFAULT leading to a warning during
      execution of the configure script.

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Jun 2010 18:20:03 +0200

libantlr3c (3.1.3-1) unstable; urgency=low

  * Initial release (closes: #494263).

 -- Julien BLACHE <jblache@debian.org>  Sat, 30 May 2009 17:34:32 +0200
