=== debian/control ===
Source: libantlr3c
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org> 
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.1.3), dpkg-dev (>= 1.15.4), dh-autoreconf
Homepage: http://www.antlr.org/wiki/display/ANTLR3/ANTLR3+Code+Generation+-+C

Package: libantlr3c-dev
Section: libdevel
Architecture: any
Depends: libantlr3c-3.2-0 (= ${binary:Version}) | libantlr3c-antlrdbg-3.2-0 (= ${binary:Version}), ${misc:Depends}
Description: ANTLR v3 parser generator C runtime [development files]
 ANTLR, ANother Tool for Language Recognition, is a language tool that
 provides a framework for constructing recognizers, compilers, and
 translators from grammatical descriptions.
 .
 This package contains the development files needed to build your applications
 using parsers generated by ANTLR in the C language.

Package: libantlr3c-3.2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ANTLR v3 parser generator C runtime
 ANTLR, ANother Tool for Language Recognition, is a language tool that
 provides a framework for constructing recognizers, compilers, and
 translators from grammatical descriptions.
 .
 This package contains the C runtime needed for parsers generated by ANTLR
 v3 in the C language, with the ANTLR debugger disabled. Install
 libantlr3c0-antlrdbg if you want to use the ANTLR debugger.

Package: libantlr3c-antlrdbg-3.2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libantlr3c-3.2-0
Provides: libantlr3c-3.2-0
Description: ANTLR v3 parser generator C runtime with ANTLR debugger
 ANTLR, ANother Tool for Language Recognition, is a language tool that
 provides a framework for constructing recognizers, compilers, and
 translators from grammatical descriptions.
 .
 This package contains the C runtime needed for parsers generated by ANTLR
 v3 in the C language, with the ANTLR debugger enabled.
