## libantlr3c 3.4+dfsg

=== debian/changelog ===
libantlr3c (3.4+dfsg-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 01:42:04 +0000

libantlr3c (3.4+dfsg-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0 (no changes needed).

  [ Helmut Grohne ]
  * Use dh_auto_configure.  (Closes: #920403)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 26 Jan 2019 16:22:40 +0100

libantlr3c (3.4+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Thu, 21 Jun 2018 12:38:06 +0200

libantlr3c (3.4+dfsg-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * Add debian/watch file.
  * Update patches.
  * Add 02-convert-utf.patch (Closes: #900601).
  * Upgrade to debhelper compat level 11.
  * Update Homepage field in debian/control.
  * Convert debian/copyright to the machine-readable format.
  * Upgrade to Standards-Version 4.1.4 in debian/control.
  * Adjust package names according to the changed SONAME.
  * Add Vcs-Git and Vcs-Browser fields in debian/control.
  * Add debian/README.Debian and remove libantlr3c-dev.README.Debian.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 18 Jun 2018 19:21:45 +0200
