=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" https://www.antlr3.org/download/C/ libantlr3c-([\.\d]+)\.tar\.gz
